Skip to main content
POST
/
api
/
external
/
companies
/
{companyId}
/
submissions
/
{submissionId}
/
files
Attach Files to Submission
curl --request POST \
  --url https://app.aiinsurance.io/api/external/companies/{companyId}/submissions/{submissionId}/files \
  --header 'Authorization: <api-key>' \
  --header 'Content-Type: multipart/form-data' \
  --form file='@example-file'
{
  "fileIds": [
    "550e8400-e29b-41d4-a716-446655440010",
    "550e8400-e29b-41d4-a716-446655440011"
  ]
}

Documentation Index

Fetch the complete documentation index at: https://docs.aiinsurance.io/llms.txt

Use this file to discover all available pages before exploring further.

Authorizations

Authorization
string
header
required

API key authentication. Include your API key in the Authorization header.

Path Parameters

companyId
string<uuid>
required

Company identifier

submissionId
string<uuid>
required

Submission identifier

Body

multipart/form-data
file
file
required

A file to attach. Repeat this field for multiple files.

Response

Files attached successfully. Returns the IDs of the created files in upload order.

fileIds
string<uuid>[]
required

IDs of the newly created files, in the order received in the request.